petsc-3.7.7 2017-09-25
Report Typos and Errors

# TaoResetStatistics

Initialize the statistics used by TAO for all of the solvers. These statistics include the iteration number, residual norms, and convergence status. This routine gets called before solving each optimization problem.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoResetStatistics(Tao tao)

Collective on Tao

### Input Parameters

solver -the Tao context

### See Also

TaoCreate(), TaoSolve()

Level:developer
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages